Subject: Re: [BEHAVE] Wkp

From: cam byrne <[email-masked]>
Date: Wed, 23 Dec 2009 15:24:54 -0500

I agree with Brian. Strong wkp may work for enterprise but not service provider who are designing to cgn / lsn scale.  Nsp is the only option for linear scaling at this point.  Wkp will work today for enterprise  scale deployments, but the positive attributes of wkp are not available to large scale service providers today since there is not a weak wkp. 

also, yet another load balancer or stateful device is not an option at the scale service providers are designing for.  The dns64 must be able to naturally drive the traffic in discrete increments statelessly to the stateful nat64.  Breaking this massive amount of state into smaller chunks is the only way we can solve the scaling issue.  Creating yet another layer of load balancer state will not scale.  

Cb   

Brian E Carpenter <[email-masked]> wrote:

>On 2009-12-24 07:07, Iljitsch van Beijnum wrote:
>> On 23 dec 2009, at 18:59, Christian Huitema wrote:
>> 
>>> But that will be a different draft, not the current addressing draft.
>> 
>> The current draft isn't set in stone yet, if there is rough consensus that this is a useful feature we can incorporate it, IMO.
>> 
>> As far as I'm concerned, I don't think adding load balancing bits breaks anything, so I would support it if others want this in this document.
>
>Well, for example, it makes using a WKP-based address in a referral even
>more alarming. What if those load-balancing bits are valid in the context
>of the referring host but meaningless in the context of the host that
>receives the referral?
>
>Isn't this exactly why we need to document the NSP case?
>
>   Brian
>
>
>   Brian